aws 发表于 2022-12-31 19:00:56

弹窗面板的文字如何放大?


[*](defun chuangkou(/ Dcl_File file str)
[*](setq Dcl_File (vl-filename-mktemp nil nil ".Dcl"))
[*](setq file (open Dcl_File "w"))
[*](foreach str '(
[*]                  "dq:dialog{"
[*]                  " label=\"物体对齐\";"
[*]                  " :row{"
[*]                  ":button{label=\"┃\";key=\"竖直\";width=16;height=8;allow_accept=true;}"
[*]                  ":button{label=\"↑\";key=\"上\";width=16;height=8;allow_accept=true;}"
[*]                  ":button{label=\"━\";key=\"水平\";width=16;height=8;allow_accept=true;}"
[*]                  " }"
[*]                  " :row{"
[*]                  ":button{label=\"←\";key=\"左\";width=16;height=8;allow_accept=true;}"
[*]                  ":button{label=\"↓\";key=\"下\";width=16;height=8;allow_accept=true;}"
[*]                  ":button{label=\"→\";key=\"右\";width=16;height=8;allow_accept=true;}"
[*]                  " }"
[*]                  ":button{label=\" 双向居中 \";key=\"双向居中\";width=50;height=8;is_cancel=true;fixed_width=true;alignment=centered;}"
[*]                  "}"
[*]                )
[*]    (write-line str file)
[*])
[*](close file)
[*]Dcl_File
[*])




上述代码,是一个弹窗面板,我觉得文字有点小了,请问如何把文字给放大?

lee50310 发表于 2023-1-2 19:29:29

本帖最后由 lee50310 于 2023-1-7 00:54 编辑

depgfdepgf 发表于 2023-1-2 18:03
大佬,如何实现点击幻灯片进入调用命令,如点左箭头调用TT1命令,点右箭头调用TT2命令,希望解答下,谢谢{: ...
範例:2< 點選 幻燈片 畫不同顏色的圓 >

;;-------------------------------------------------------------------
;;展示幻燈片於影像框上
(defun show_sld(key sld x y)
(setq xa(dimx_tile key))
(setq ya(dimy_tile key))
(start_image key)
(fill_image x y xa ya -2)
(slide_image x y xa ya sld)
(end_image)
)
;;-------------------------------------------------------------------
(defun c:tt2(/ Dcl_File file str)
(setq path "E:\\temp_chs\\sld\\")
(setq Dcl_File (vl-filename-mktemp nil nil ".Dcl"))
(setq file (open Dcl_File "w"))
(foreach str '(
                  "dq:dialog{"
                  " label=\"物體對齊\";"
                  " :row{"
                  ":image_button{key=\"豎直\";color=-2;width=16;height=8;allow_accept=true;}"
                  ":image_button{key=\"上\";color=-2;width=16;height=8;allow_accept=true;}"
                  ":image_button{key=\"水平\";color=-2;width=16;height=8;allow_accept=true;}"
                  " }"
                  " :row{"
                  ":image_button{key=\"左\";color=-2;width=16;height=8;allow_accept=true;}"
                  ":image_button{key=\"下\";color=-2;width=16;height=8;allow_accept=true;}"
                  ":image_button{key=\"右\";color=-2;width=16;height=8;allow_accept=true;}"
                  " }"
                  ":image_button{key=\"雙向居中\";color=-2;width=50;height=8;is_cancel=true;allow_accept=true;}"
                  "}"
                )
    (write-line str file)
)
(close file)
(not (setq file (close file)))
            (< 0 (setq dch (load_dialog Dcl_File)))
            (new_dialog "dq" dch)
      
      (show_sld "豎直" (strcat path "II.sld") -10 -24)
      (show_sld "上" (strcat path "up.sld" ) -3 -16)
      (show_sld "水平" (strcat path "I2.sld") 0 -16)
      (show_sld "左" (strcat path "L.sld" ) 0 -10)
      (show_sld "下" (strcat path "D.sld") 0 -10)
      (show_sld "右" (strcat path "R.sld") 0 -10)
      (show_sld "雙向居中" (strcat path "TT.sld") 0 -5)      

      (action_tile "豎直" "(alert \\" 按了:【豎直】\\")(done_dialog 1)")
      (action_tile "上" "(alert \\" 按了:【上】\\")(done_dialog 2)")
      (action_tile "水平" "(alert \\" 按了:【水平】\\")(done_dialog 3)")
      (action_tile "左" "(alert \\" 按了:【左】\\")(done_dialog 4)")
      (action_tile "下" "(alert \\" 按了:【下】\\")(done_dialog 5)")
      (action_tile "右" "(alert \\" 按了:【右】\\")(done_dialog 6)")
      
      (setq dd(start_dialog))      
      (cond
         ((= dd 0)(alert " 按了:【雙向居中】")(draw 50 1)) ;畫紅色圓 半徑50
         ((= dd 1) (draw 50 2)) ;;畫黃色圓 半徑50
         ((= dd 2) (draw 50 3))
         ((= dd 3) (draw 50 4))         
         ((= dd 4) (draw 50 5))
         ((= dd 5) (draw 50 6))
         ((= dd 6) (draw 50 7)) ;;畫白色圓 半徑50      
      )
)
;;-------------------------------------------------------------------
(defun draw( r1 col)
(setq p1(getpoint "\n輸入插入點"))
(ah:Circle p1 r1 col)
)
;;--------------------------------------------------------------------
;;創建圓
(defun ah:Circle (cen rad col)
(entmakex (list (cons 0 "CIRCLE")
               (cons 10 cen)
               (cons 40 rad)
               (cons 62 col)))
)
;;-------------------------------------------------------------------

lee50310 发表于 2023-1-2 15:28:59

本帖最后由 lee50310 于 2023-1-3 15:48 编辑

aws 发表于 2023-1-2 13:20
哇,厉害,有更详细的教程吗
這是程式 ( tt.lisp + 幻燈片x7)
程式執行指令:tt

若存放路徑位置與此設定不同 需修改程式中此行
(setq path d:\\temp_chs\\sld\\")

請參考看看 !
幻燈片是我匆促製作 所以 大小位置不是很正 事後在程式中有做調整
你可自行繪製重新製作
cad製作幻燈片指令:mslide


aws 发表于 2023-1-1 09:12:58

wzg356 发表于 2023-1-1 01:09
http://bbs.mjtd.com/thread-184666-1-1.html

你这个东西,有点意思啊,挺好玩的。不过生成fas,有点难受。

纵横八方 发表于 2022-12-31 19:04:09

拿个放大镜

wzg356 发表于 2022-12-31 19:27:31

只做成image

aws 发表于 2022-12-31 19:47:42

wzg356 发表于 2022-12-31 19:27
只做成image

做成图片吗?那怎么加载到lsp里面。。。

aws 发表于 2022-12-31 19:48:45

纵横八方 发表于 2022-12-31 19:04
拿个放大镜

看来是没招了?

kozmosovia 发表于 2022-12-31 21:06:31

直接用vector_image画

wzg356 发表于 2023-1-1 01:09:05

aws 发表于 2022-12-31 19:47
做成图片吗?那怎么加载到lsp里面。。。

http://bbs.mjtd.com/thread-184666-1-1.html

lee50310 发表于 2023-1-2 11:05:42

本帖最后由 lee50310 于 2023-1-2 11:22 编辑



可以用 image_button

aws 发表于 2023-1-2 13:20:07

lee50310 发表于 2023-1-2 11:05
可以用 image_button

哇,厉害,有更详细的教程吗
页: [1] 2
查看完整版本: 弹窗面板的文字如何放大?